You are not logged in.

#1 2010-08-28 23:24:43

tc
Member
Registered: 2010-08-28
Posts: 5

version `GLIBC_2.12' not found

Hi,

I recently installed arch for the 1st time with Apache, PHP and MySQL.

When I try to install postfix, already in the 1st phase, I get an error. Any help would be greatly appreciated!

Below is what I get. Apparently GLIBC_2.12 is not installed. How do I resolve this issue?

Thank you,
TC

# pacman -Sy postfix
:: Synchronizing package databases...
 core                     35.4K  300.4K/s 00:00:00 [######################] 100%
 extra                   454.6K 1272.4K/s 00:00:00 [######################] 100%
 community               384.9K 1225.5K/s 00:00:00 [######################] 100%
warning: postfix-2.7.1-1 is up to date -- reinstalling
resolving dependencies...
looking for inter-conflicts...

Targets (1): postfix-2.7.1-1

Total Download Size:    0.00 MB
Total Installed Size:   8.58 MB

Proceed with installation? [Y/n] y
checking package integrity...
(1/1) checking for file conflicts                         [##############################] 100%
(1/1) upgrading postfix                                   [##############################] 100%
usermod: no changes
newaliases: /lib/libc.so.6: version `GLIBC_2.12' not found (required by /usr/lib/libldap-2.4.so               .2)
error: command failed to execute correctly

Offline

#2 2010-08-29 08:01:58

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: version `GLIBC_2.12' not found

pacman -Syu


Give what you have. To someone, it may be better than you dare to think.

Offline

#3 2010-08-29 09:00:09

tc
Member
Registered: 2010-08-28
Posts: 5

Re: version `GLIBC_2.12' not found

Thanks. This works.
Any idea why when I send mails to outlook they don't work and when I send to gmail, they do?

Thanks!

Offline

#4 2010-08-29 09:23:44

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: version `GLIBC_2.12' not found

sorry no idea


Give what you have. To someone, it may be better than you dare to think.

Offline

#5 2010-08-29 11:21:55

Allan
Member
From: Brisbane, AU
Registered: 2007-06-09
Posts: 11,018
Website

Re: version `GLIBC_2.12' not found

tc wrote:

Thanks. This works.
Any idea why when I send mails to outlook they don't work and when I send to gmail, they do?

Start a new thread for a new problem.

Offline

#6 2010-08-29 11:44:29

Mr.Elendig
#archlinux@freenode channel op
From: The intertubes
Registered: 2004-11-07
Posts: 4,071

Re: version `GLIBC_2.12' not found

tc wrote:

Stuff

It's generally a bad idea to -Sy foobar

Last edited by Mr.Elendig (2010-08-29 11:44:47)


Evil #archlinux@freenode channel op and general support dude.
. files on github, Screenshots, Random pics and the rest

Offline

#7 2010-08-29 13:59:36

tc
Member
Registered: 2010-08-28
Posts: 5

Re: version `GLIBC_2.12' not found

Thanks. I hope it would not happen in my case. Very hopful...

How do I know if I am safe? So far all looks good

Offline

Board footer

Powered by FluxBB